
import responses
from brian_dashboard_manager.grafana.folder import find_folder


def generate_folder(data):
    return {
        "id": 555,
        "uid": data['uid'],
        "title": data['title'],
        "url": f"/dashboards/f/{data['uid']}/{data['title'].lower()}",
        "hasAcl": False,
        "canSave": True,
        "canEdit": True,
        "canAdmin": True,
        "createdBy": "Anonymous",
        "created": "2021-02-23T15:33:46Z",
        "updatedBy": "Anonymous",
        "updated": "2021-02-23T15:33:46Z",
        "version": 1
    }


@responses.activate
def test_find_folder(data_config, mock_grafana):
    TITLE = "testfolder123"
    request = mock_grafana.request
    assert not mock_grafana.folders
    folder = find_folder(request, TITLE, create=True)
    assert folder["title"] == TITLE
    assert folder["uid"] in mock_grafana.folders


@responses.activate
def test_find_folder_no_create(data_config, mock_grafana):
    TITLE = 'testfolder123'
    request = mock_grafana.request
    assert not mock_grafana.folders

    folder = find_folder(request, TITLE, create=False)
    assert folder is None
    assert not mock_grafana.folders
